package services

import (
	"context"
	"eta/eta_forum_task/services/alarm_msg"
	"eta/eta_forum_task/services/eta_forum"
	"eta/eta_forum_task/utils"
	"fmt"
	"time"
)

func ETATrialDisabled(cont context.Context) (err error) {
	defer func() {
		if err != nil {
			go alarm_msg.SendAlarmMsg(utils.APP_NAME_CN+"自动禁用ETA试用客户失败"+time.Now().Format("2006-01-02 15:04:05")+"<br/>"+err.Error(), 3)
		}
	}()
	respItem, err := eta_forum.ETATrialDisabled()
	if err != nil {
		err = fmt.Errorf("自动禁用ETA试用客户失败,Err:" + err.Error())
		return
	}
	if respItem.Ret != 200 {
		err = fmt.Errorf("自动禁用ETA试用客户失败,Err:%v,errMsg:%v", respItem.Msg, respItem.ErrMsg)
		return
	}
	return
}
